%define	major 1
%define libname %mklibname dnet %{major}
%define develname %mklibname dnet -d

Summary:	Portable interface to several low-level networking routines
Name:		libdnet
Version:	1.12
Release:	%mkrel 14
License:	BSD
Group:		System/Libraries
URL:		http://code.google.com/p/libdnet/
Source0:	http://libdnet.googlecode.com/files/%{name}-%{version}.tgz
Patch0:		libdnet-1.11-lib_version_fix.diff
Patch4:		libdnet-1.10-nmap2.diff
Patch5:		libdnet-1.12-automake-1.13.patch
BuildRequires:	autoconf2.5
BuildRequires:	python-devel
BuildRequires:	python-pyrex
BuildRequires:	multiarch-utils >= 1.0.3

%description
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	python-dnet
Summary:	Python bindings for dnet
Group:		Development/Python
Requires:	python >= %{py_ver}

%description -n	python-dnet
This module provides a simplified interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

%package -n	%{libname}
Summary:	Portable interface to several low-level networking routines
Group:          System/Libraries
License:	BSD
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{libname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	%{libname}-utils
Summary:	A simple test program for the %{libname} library
Group:          System/Libraries
License:	BSD
Obsoletes:	%{name}-utils < %{version}-%{release}
Provides:	%{name}-utils = %{version}-%{release}

%description -n	%{libname}-utils
Provides a simple test program for the %{libname} library.

%package -n	%{develname}
Summary:	Static library and header files for the %{libname} library
Group:		Development/C
License: 	BSD
Provides:       dnet-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	%{mklibname dnet 1 -d} = %{version}-%{release}
Obsoletes:	%{mklibname dnet 1 -d} < %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0
%patch4 -p0
%patch5 -p1 -b .automake-1_13

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force --install
aclocal -I config
autoheader
autoconf
automake --foreign -acf

%configure2_5x

%make

#pushd python
#    pyrexc dnet.pyx
#    python setup.py build
#popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

#pushd python
#    python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}
#popd

%multiarch_binaries %{buildroot}%{_bindir}/dnet-config

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#%files -n python-dnet
#%defattr(-,root,root)
#%{py_platsitedir}/dnet.so
#%{py_platsitedir}/*.egg-info

%files -n %{libname}
%defattr(-,root,root)
%doc README THANKS TODO
%{_libdir}/*.so.*

%files -n %{libname}-utils
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{develname}
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/dnet-config
%{_bindir}/dnet-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.12-14.mga4
+ Revision: 506956
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.12-13.mga3
+ Revision: 357004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.12-12.mga3
+ Revision: 341549
- patch5: fix build with automake 1.13

* Thu Mar 22 2012 dlucio <dlucio> 1.12-11.mga2
+ Revision: 225687
- bump release

* Mon Jan 24 2011 erwan <erwan> 1.12-10.mga1
+ Revision: 37989
- imported package libdnet


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12-10mdv2011.0
+ Revision: 601041
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12-9mdv2010.1
+ Revision: 519020
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.12-8mdv2010.0
+ Revision: 425530
- rebuild

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.12-7mdv2009.1
+ Revision: 315554
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.12-6mdv2009.0
+ Revision: 264776
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Oden Eriksson <oeriksson@mandriva.com> 1.12-5mdv2009.0
+ Revision: 213445
- fix spec/rpm borkiness (thanks _TPG and Anssi)
- disable the python stuff for now
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.12-4mdv2008.1
+ Revision: 150551
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.12-3mdv2008.0
+ Revision: 83871
- fix deps

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.12-2mdv2008.0
+ Revision: 81110
- bump release
- 1.12
- new url
- drop one upstream implemented patch

* Wed Sep 05 2007 David Walluck <walluck@mandriva.org> 1.11-5mdv2008.0
+ Revision: 79643
- Provides: dnet-devel = %%{version}-%%{release}
- version Obsoletes for rpmlint

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.11-4mdv2008.0
+ Revision: 74548
- fix deps
- conform to the new devel naming


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.11-3mdv2007.0
+ Revision: 96086
- Fix File list
- Rebuild for new python

  + Oden Eriksson <oeriksson@mandriva.com>
    - Import libdnet

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.11-1mdv2007.0
- 1.11
- use python rpm macros
- rediffed patches; P0
- drop redundant patches; P1,P2
- drop upstream patches; P5

* Mon Dec 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.10-2mdk
- add BuildRequires: pyrex

* Sat Dec 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.10-1mdk
- 1.10
- rediffed P0,P2
- added two patches from nmap (P3,P4)
- added P5 from cvs to make the python module compile

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8-4mdk
- fix deps and conditional %%multiarch
- fix requires-on-release

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8-3mdk
- use automake 1.4

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8-2mdk
- make it compile on 9.2 too (libtool mess...)
- added P1 & P2 from PLD

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8-1mdk
- 1.8
- fix libname (P0)
- added the python stuff
- misc spec file fixes

* Sat Feb 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.7-3mdk
- dont obsolete current version and don't provide packagename = version

